git - SourceTree त्रुटि: 1407742E: SSL रूटीन: SSL23_GET_SERVER_HELLO: tlsv1 अलर्ट प्रोटोकॉल संस्करण




github atlassian-sourcetree (5)

आपको पिछले संस्करण https://it-scm.com/downloads में git को अपग्रेड करना होगा

मैं SourceTree का उपयोग कर रहा हूं और एक सामान्य गितुब भंडार से क्लोन करने का प्रयास कर रहा हूं, लेकिन मुझे यह त्रुटि मिली:

घातक: ' https://github.com/mfitzp/15-minute-apps.git/ ': त्रुटि: 1407742E: SSL रूटीन: SSL23_GET_SERVER_HELLO: tlsvv अलर्ट प्रोटोकॉल संस्करण तक पहुँचने में असमर्थ: त्रुटियों के साथ पूरा हुआ, ऊपर देखें।

इसे कैसे हल करें?


नया संस्करण डाउनलोड करें, यह एक आकर्षण की तरह काम करेगा -

https://git-scm.com/downloads


मुझे भी यही समस्या थी

सबसे पहले, git संस्करण को https://git-scm.com/downloads से अपडेट करें

आप 32 संस्करण और 64 संस्करण स्थापित कर सकते हैं

फिर रिमोट रिपॉजिटरी से कोड खींचने की कोशिश करें।

यदि वह काम नहीं करता है, तो सभी git कॉन्फ़िगरेशन को सूचीबद्ध करने के लिए निम्न कमांड चलाएँ

git config --global --list

सभी SSL कॉन्फ़िगरेशन संबंधित सेटिंग्स निकालें। SSL कॉन्फ़िगरेशन, जैसे SSLVersion, आदि को हटा दें। आप उपर्युक्त कमांड परिणाम से सेटिंग्स नाम प्राप्त कर सकते हैं। परिणाम स्वरूप कॉन्फ़िगरेशननाम = मान होगा। कॉन्फ़िगरेशन हटाने के लिए, निम्न कमांड चलाएँ।

git config --global --unset ConfigurationName

उदाहरण के लिए, यदि आप user.name कॉन्फ़िगरेशन को निकालना चाहते हैं

git config --global --unset user.name

SSL कॉन्फ़िगरेशन हटाने के बाद, कोड को दूरस्थ रिपॉजिटरी से खींचने का प्रयास करें। इस बार git डिफ़ॉल्ट SSL कॉन्फ़िगरेशन मान का उपयोग करेगा।


मेरे पास एक ही समस्या थी और मेरा फिक्स था:

1. नवीनतम संस्करण में गेटअप करें

2. कमांड लाइन कमांड के साथ अपने tls संस्करण की जाँच करें: git config http.sslVersion

3. यदि आप कमांड के साथ tlsv1.2 को अद्यतन करने के लिए संस्करण tlsv1.0 है:

  • git config --global --unset http.sslVersion
  • git config --global --add http.sslVersion tlsv1.2

और त्रुटि की जगह अब मौजूद नहीं होगी


Tools > Options > Git जाँच करें Tools > Options > Git सोर्सट्री में गिट, यदि आप Use Embedded Git का Use Embedded Git कर रहे हैं, तो आप देख सकते हैं कि गिट संस्करण 1.9.5 जो पुराना है, गिट का नवीनतम संस्करण 2.16.2

इसलिए Use System Git क्लिक Use System Git , यदि आप git का नया संस्करण स्थापित करते हैं, Use System Git बाद यह नया संस्करण दिखाएगा, तो फिर से क्लोन करने का प्रयास करें, यह ठीक काम करना चाहिए।

HERE एक और उत्तर भी देखें।





atlassian-sourcetree